You are Here:
Linux Lite 5.0 Final is now available for download and installation



there was an error during the CUPS operation server error internal error

Author (Read 992 times)

0 Members and 4 Guests are viewing this topic.

 

kat

  • New to Forums
  • *
  • 15
    Posts
  • Reputation: 4
  • Linux Lite Member

  • Linux Lite: 2.8 64bit

  • CPU: 800MHz cache size 256kb fpu (yes)

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA Corp. C67 Geforce 7150/nForce 630m
HI,
I just downloaded Linux Lite 5.0 RC1 over 4.8. Everything runs fine, except when I went to set up my wireless network printer, I get "there was an error during the CUPS operation server error internal error". When I go to add a printer, it sees my printer in the network section, I choose it, but at the end it says that error. At the first try, it said it would set the firewall for me for it to work, but I wonder if it did. Help. What should I do? In past, I've had no problem setting up my printer. 
 


 

firenice03

  • Rockin' the FREE World
  • Global Moderator
  • Platinum Level Poster
  • *****
  • 1341
    Posts
  • Country: us
  • Reputation: 245
  • Linux Lite Member

  • Linux Lite: 4.8 64bit

  • CPU: AMD E2//Atom X5//AMD Phenom II X2

  • MEMORY: 4Gb

  • VIDEO CARD: AMD Mullin Radeon R2//Intel//AMD/ATI RS880

  • Kernel: 5.x
@kat
Had the printer worked in LL.4x? What type of printer and how was it set up? -- Might help point..


If you haven't set it up yet try looking here - https://www.linuxliteos.com/manual/hardware.html#printer
Towards the end there is a section for most drivers...



LL 4.8 UEFI 64 bit ASUS E402W - AMD E2 (Quad) 1.5Ghz  - 4GB - AMD Mullins Radeon R2
LL 4.8 UEFI 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
LL 4.6 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL 3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express
RETIRED LL 2.8 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA
Running Linux Lite since LL2.2
 

 

kat

  • New to Forums
  • *
  • 15
    Posts
  • Reputation: 4
  • Linux Lite Member

  • Linux Lite: 2.8 64bit

  • CPU: 800MHz cache size 256kb fpu (yes)

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA Corp. C67 Geforce 7150/nForce 630m
Yes, my Canon TS5000 set up easily in Linux-Lite 4x, the latest was 4.8. Yesterday, I put Linux-Lite 5.0 RC1 over 4.8. It sees my printer, and "sometimes" will try to connect even to the test print page, but a few seconds later, it will say that it can't connect even though my printer is on and connected to the internet. I checked it with my windows 10 this morning and it is working fine wirelessly. I click on "Firewall" in Linux 5.0 RC1, and I don't see anywhere to shut it off. So, I delete the supposedly connected printer and try again to connect, and sometimes it will say, "there was an error during the CUPS operation server error internal error". I went to the bottom of the help manual page to look for my driver like you said, but there isn't one for Canon TS5000. *Firewall?


*UPDATE*


Got it working! Yay! I found a command to turn off firewall, but I'm not sure if that was the trick, though maybe. I chose my Printer under the network choices, and then chose the "app socket" something, where it shows the "host and the port". It was filled out. It worked then. Maybe the firewall being off let it choose something that worked. Later, after restarting, I checked to see if firewall was back on. It was. That's good, and printer is still working.  :)
Last Edit: May 01, 2020, 02:16:56 PM by kat
 

 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7555
    Posts
  • Country: nz
  • Reputation: 710
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 4.x
It would be the Firewall. I've done some research and ports: 5353, 631, 9100 should be enabled. I think for the future, I'm going to disable this Firewall by default. I can see it causing a lot of frustration amongst new folk to linux.
 


Tags:
 


Linux Lite 5.0 Final is now available for download and installation